<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "DTD/xhtml1-strict.dtd">
<html xmlns="https://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Material Modeling Service</title>
<style>

      
      input[type=submit] {
        background-color: #4CAF50;
        color: white;
        padding: 12px 20px;
        border: none;
        border-radius: 4px;
        cursor: pointer;
      }

    </style>
</head>

<body>
<h1 align="center"><i>Material Modeling Service</i></h1>

<a href= "https://gitlab.com/soleil-data-treatment/soleil-software-projects/material-modeling-service"><img src="images/icon.png" height=128></a>

<p>
This service allows to compute some electronic and phononic properties of materials
from first principle theory (DFT <i>ab-initio</i>). The only requirements are a name and a file with format CIF/PDB/POSCAR etc 
(see the <a href='https://wiki.fysik.dtu.dk/ase/ase/io/io.html'>ASE documentation</a>). 
In addition, you may choose the calculator to use and the computational steps to perform.
</p>
You are invited to search for your material in the following resources:
<ul>
<li><a href="http://crystallography.net/cod/">Crystallography Open Database (COD)</a></li>
<li><a href="https://www.materialsproject.org/">Materials Project</a></li>
<li><a href="https://www.materialscloud.org">Materials Cloud</a>
<li><a href="https://nomad-lab.eu/">NoMaD repository</a></li>
<li><a href="http://phonondb.mtl.kyoto-u.ac.jp/">PhononDB</a></li>
</ul> or simply use <a href='https://gitlab.com/soleil-data-treatment/soleil-software-projects/material-modeling-service/-/raw/main/examples/Al.cif?ref_type=heads'>Al</a> for a test.</p>
<p>
The results and running computations are stored into 
<a href="/material-modeling/data" target=_blank>
data/modeling</a>. 
By submitting your data here,<i>you implicitely agree to share it</i> with other 
colleagues. 
</p>
<p><b>NOTE:</b> When possible use the primitive lattice cell, with the highest symmetry, to speed-up calculations.</p>

<!-- ----------------------------------------------------------------------- -->
<hr>
<form action="/cgi-bin/material-modeling.pl" id="upload" method="post" ENCTYPE="multipart/form-data" name="upload">

<table width="100%">

<!-- the metadata ---------------------------------------------------------- -->
<tr> 
  <td><b>Your User ID *:</b></td> 
  <td><input type="text" name="user_id" placeholder="Your user ID/name used as label" size=40 /></td>
</tr> 

<!--  UNCOMMENT WHEN USING USER ID (LDAP) optional -->
<!--<tr>  -->
<!--  <td><b>Your password *:</b></td>-->
<!--  <td><input type="password" name="user_pw"         placeholder="Your password" size=40 ></td>-->
<!--</tr>-->

<tr>
  <td><b>Calculator:</b></td>  
  <td>
    <select name="calculator">
      <option value="QuantumEspresso" selected="selected">QuantumEspresso:
        Plane-wave pseudopotential code/ASE. Pseudo: SSSP
        Efficiency</option>
      <option value="GPAW">GPAW: Real-space/plane-wave/LCAO
        PAW code. Pseudo: 0.9.11271</option>
      <option value="EMT">EMT: Effective Medium Theory
        (Al,Cu,Ag,Au,Ni,Pd,Pt,H,C,N,O) VERY fast</option>
    </select>
  </td>
</tr><tr>
  <td><b>Smearing:</b><br>
  <td>
    <select name="smearing">
      <option value="metal">Conductor (e.g. metal, smearing 0.27 eV)</option>
      <option value="semiconductor"  selected="selected">Auto/semiconductor (smearing 0.1 meV)</option>
      <option value="insulator">Insulator (no smearing)</option>
    </select>
  </td><tr>
  <td><b>Compute:</b><br>
  <td>
    <select name="compute">
      <option value="electrons" selected="selected">Electrons only (very fast)</option>
      <option value="electrons_3d">Electrons only, with 3D dispersions (fast)</option>
      <option value="electrons_phonons">Electrons and Phonons (long) </option>
      <option value="electrons_3d_phonons_3d">Electrons and Phonons, with 3D dispersions (very long)</option>
      <option value="optimize">Optimize the crystal lattice and generate a new CIF (very fast)</option>
    </select>
  </td>

<!-- the input file(s) ----------------------------------------------------- -->
<!-- Sync Max value in cgi-bin                                               -->
<tr>
  <td><hr><b>Material structure *:</b><br>Max 100kB</td> 
  <td><input type="file" name="dataset" id="dataset" title="CIF/PDB/POSCAR/ETSF/MDL... Drag-n-drop a file." style="color:blue; font-size: 36px;" /></td>
</tr>
</table>

<p align="center"><input type="submit" name="Submit" value="Compute !" title="Please be patient during computation..." /></p>
</form>

<hr>
<p><b>WARNING</b>: This service provides a quick estimate of the electronic and vibrational dispersions. Results are not meant to be accurate. <a href='https://gitlab.com/soleil-data-treatment/soleil-software-projects/material-modeling-service'>Project code at Gitlab</a>. Powered by <a href='https://wiki.fysik.dtu.dk/ase/'>ASE</a>.</p>
<small><a href="https://www.synchrotron-soleil.fr/en/know-how/user-supports/scientific-data-analysis" target="_top">GRADES (c) 2023- 
Synchrotron SOLEIL</a>
</small>

</body>

</html>
